Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359165 - Upstream zsh completion script not installed
Summary: Upstream zsh completion script not installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hub
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Stephen Gallagher
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 12:40 UTC by Alexey I. Froloff
Modified: 2016-10-10 21:49 UTC (History)
2 users (show)

Fixed In Version: hub-2.2.5-1.fc24 hub-2.2.5-2.fc25 hub-2.2.5-2.fc24 hub-2.2.5-3.fc25 hub-2.2.5-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 17:46:58 UTC


Attachments (Terms of Use)
Patch to update to 2.2.5 (deleted)
2016-08-31 14:04 UTC, Stephen Gallagher
no flags Details

Description Alexey I. Froloff 2016-07-22 12:40:50 UTC
Upstream provides Zsh completion for hub command.  Please install it in /usr/share/zsh/site-functions

Comment 1 Alexey I. Froloff 2016-07-22 13:18:19 UTC
If you're not familiar with zsh,

/usr/share/zsh/site-functions/_hub

is right destination.

Comment 2 Jan Kurik 2016-07-26 04:58:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Stephen Gallagher 2016-08-31 14:04:32 UTC
Created attachment 1196397 [details]
Patch to update to 2.2.5

Ralph, I've requested ACLs on all branches. I'm attaching a patch (minus `fedpkg new-sources`) to update to 2.2.5 built in Go.

Comment 4 Stephen Gallagher 2016-08-31 14:05:25 UTC
Oops, wrong BZ. But I'll update the patch to include ZSH...

Comment 5 Stephen Gallagher 2016-08-31 14:10:52 UTC
Comment on attachment 1196397 [details]
Patch to update to 2.2.5

Complete patch posted to BZ #1321183

Comment 6 Fedora Update System 2016-08-31 21:19:52 UTC
hub-2.2.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf355a0a10

Comment 7 Fedora Update System 2016-08-31 21:20:01 UTC
hub-2.2.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee9213e044

Comment 8 Fedora Update System 2016-09-01 19:52:17 UTC
hub-2.2.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee9213e044

Comment 9 Fedora Update System 2016-09-01 20:23:46 UTC
hub-2.2.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf355a0a10

Comment 10 Fedora Update System 2016-09-12 18:51:40 UTC
hub-2.2.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Alexey I. Froloff 2016-09-13 12:10:04 UTC
I apologies for not being clear.  The path

/usr/share/zsh/site-functions/_hub/hub.zsh_completion

is not correct.  Upstream hub.zsh_completion must be installed as

/usr/share/zsh/site-functions/_hub

Comment 12 Fedora Update System 2016-09-13 12:48:07 UTC
hub-2.2.5-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f56a7c07e6

Comment 13 Fedora Update System 2016-09-13 12:48:23 UTC
hub-2.2.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-38ae34085b

Comment 14 Fedora Update System 2016-09-14 02:52:12 UTC
hub-2.2.5-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-38ae34085b

Comment 15 Fedora Update System 2016-09-14 03:24:51 UTC
hub-2.2.5-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f56a7c07e6

Comment 16 Fedora Update System 2016-09-22 07:32:38 UTC
hub-2.2.5-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Alexey I. Froloff 2016-09-22 09:34:56 UTC
Still not fixed:

# rpm -ql hub | grep zsh
/usr/share/zsh/site-functions/_hub
/usr/share/zsh/site-functions/_hub/hub.zsh_completion

In spec file:

-install -d -m 755 %{buildroot}%{_datarootdir}/zsh/site-functions/_hub/
+install -d -m 755 %{buildroot}%{_datarootdir}/zsh/site-functions/

Comment 18 Fedora Update System 2016-09-23 00:23:59 UTC
hub-2.2.5-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-09-28 20:52:01 UTC
hub-2.2.5-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6fafabb81b

Comment 20 Fedora Update System 2016-09-29 02:49:24 UTC
hub-2.2.5-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f90e46a83a

Comment 21 Fedora Update System 2016-10-10 17:46:58 UTC
hub-2.2.5-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-10-10 21:49:58 UTC
hub-2.2.5-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.